Search LinkedIn people
curl --request GET \
--url https://api.aisa.one/apis/v1/linkedin/people/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/linkedin/people/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/linkedin/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/linkedin/people/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/linkedin/people/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/linkedin/people/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/linkedin/people/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyLinkedIn
Search LinkedIn people
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.042 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.014 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
linkedin
/
people
/
search
Search LinkedIn people
curl --request GET \
--url https://api.aisa.one/apis/v1/linkedin/people/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/linkedin/people/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/linkedin/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/linkedin/people/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/linkedin/people/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/linkedin/people/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/linkedin/people/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: GET /apis/v1/linkedin/people/search
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/linkedin/people/search - count: query; 可选
- currentCompany: query; 可选
- cursor: query; 可选
- firstName: query; 可选
- geoEntityId: query; 可选
- industry: query; 可选
- keyword: query; 可选
- lastName: query; 可选
- pastCompany: query; 可选
- profileLanguage: query; 可选
- school: query; 可选
- serviceCategory: query; 可选
- start: query; 可选
- title: query; 可选
- Runtime 事实版本: 8687c2b8bb5a2ba09ada7a2cc9f714f00446d04bd7f7cd76b1edf995862b650f
{
"operationId": "linkedin.people.search",
"method": "GET",
"path": "/apis/v1/linkedin/people/search",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"in": "query",
"name": "count",
"required": false,
"schema": {
"maximum": 9223372036854775807,
"minimum": 0,
"type": "integer"
}
},
{
"in": "query",
"name": "currentCompany",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "cursor",
"required": false,
"schema": {
"maxLength": 16384,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "firstName",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "geoEntityId",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "industry",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "keyword",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "lastName",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "pastCompany",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "profileLanguage",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "school",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "serviceCategory",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
},
{
"in": "query",
"name": "start",
"required": false,
"schema": {
"maximum": 9223372036854775807,
"minimum": 0,
"type": "integer"
}
},
{
"in": "query",
"name": "title",
"required": false,
"schema": {
"maxLength": 4096,
"minLength": 1,
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.042,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 3,
"unit": "provider_credit",
"unit_rate_usd": 0.014
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.042 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.014 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.042
- 声明的单位费率(USD): 0.014
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 3
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
必填范围:
0 <= x <= 9223372036854776000Required string length:
1 - 4096Required string length:
1 - 16384Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096Required string length:
1 - 4096必填范围:
0 <= x <= 9223372036854776000Required string length:
1 - 4096响应
成功响应